summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Симон Болоканов <sbolokanov@abv.bg>2014-10-10 21:55:00 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-10-11 00:14:52 +0700
commit29955a29f7abcca5d62687e0d75291ed77d4941a (patch)
treeda628cb5aa65e39cbd3b7159c7d37112b97b9959
parentc74791f59a6dbc84e8eb7fdfb0acb7ab5855f4f8 (diff)
downloadslackbuilds-29955a29f7abcca5d62687e0d75291ed77d4941a.tar.gz
slackbuilds-29955a29f7abcca5d62687e0d75291ed77d4941a.tar.xz
desktop/dunst: Added (notification daemon).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--desktop/dunst/README8
-rw-r--r--desktop/dunst/dunst.SlackBuild100
-rw-r--r--desktop/dunst/dunst.info10
-rw-r--r--desktop/dunst/slack-desc19
4 files changed, 137 insertions, 0 deletions
diff --git a/desktop/dunst/README b/desktop/dunst/README
new file mode 100644
index 0000000000..047712362c
--- /dev/null
+++ b/desktop/dunst/README
@@ -0,0 +1,8 @@
+Dunst is a lightweight replacement for the notification-daemons provided by
+most desktop environments.
+It's very customizable, doesn't depend on any toolkits and therefore fits
+in those windowmanager centric setups we all love to customize to perfection.
+
+Configuration:
+To customize dunst you have to copy config file from /etc/xdg/dunst to ~/.config/dunst/dunstrc
+Then modify it to your liking.
diff --git a/desktop/dunst/dunst.SlackBuild b/desktop/dunst/dunst.SlackBuild
new file mode 100644
index 0000000000..0ca362d1fe
--- /dev/null
+++ b/desktop/dunst/dunst.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Copyright (c) 2014, Simon Bolokanov, Bulgaria
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Written by Симон Болоканов <sbolokanov@abv.bg>
+# changelog:
+# v1.0.0 - Simon Bolokanov
+# v1.1.0 - revised for SBo - 09.10.2014
+
+PRGNAM=dunst
+VERSION=${VERSION:-1.1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Change config dir to Slackware specification
+sed -i 's,${PREFIX}/share/dunst,/etc/xdg/dunst,' Makefile
+
+CFLAGS="$SLKCFLAGS" \
+make
+make DESTDIR=$PKG \
+ PREFIX=/usr \
+ MANPREFIX=/usr/man \
+ install
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -pv $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS CHANGELOG INSTALL LICENSE README* RELEASE_NOTES* VERSION docs/* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -pv $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/dunst/dunst.info b/desktop/dunst/dunst.info
new file mode 100644
index 0000000000..7bf13ce78e
--- /dev/null
+++ b/desktop/dunst/dunst.info
@@ -0,0 +1,10 @@
+PRGNAM="dunst"
+VERSION="1.1.0"
+HOMEPAGE="http://www.knopwob.org/dunst/"
+DOWNLOAD="http://knopwob.org/public/dunst-release/dunst-1.1.0.tar.bz2"
+MD5SUM="7c37fb5306012fd658839908479dbbed"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libxdg-basedir"
+MAINTAINER="Симон Болоканов"
+EMAIL="sbolokanov@abv.bg"
diff --git a/desktop/dunst/slack-desc b/desktop/dunst/slack-desc
new file mode 100644
index 0000000000..bb189ace80
--- /dev/null
+++ b/desktop/dunst/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+dunst: Dunst (notification daemon)
+dunst:
+dunst: Dunst is a lightweight replacement for the notification-daemons
+dunst: provided by most desktop environments.
+dunst: It's very customizable, doesn't depend on any toolkits and therefore
+dunst: fits in those windowmanager centric setups we all love to customize
+dunst: to perfection.
+dunst:
+dunst: Homepage: http://www.knopwob.org/dunst/
+dunst:
+dunst: